E-MailRelay

Classes | Namespaces | Typedefs | Functions
gstringview.h File Reference
`#include "gdef.h"`
`#include <string>`
`#include <cstring>`
`#include <new>`
`#include <stdexcept>`
`#include <ostream>`
`#include <algorithm>`
Include dependency graph for gstringview.h:

Go to the source code of this file.

## Classes
class | G::string_view
| A class like c++17's std::string_view. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | std
| STL namespace.

## Typedefs
using | std::string_view = G::string_view

## Functions
G::string_view | G::sv_substr_noexcept (G::string_view sv, std::size_t pos, std::size_t count=std::string::npos) noexcept
bool | G::sv_imatch (G::string_view, G::string_view) noexcept
std::ostream & | G::operator<< (std::ostream &stream, const string_view &sv)
void | G::swap (string_view &a, string_view b) noexcept
bool | G::operator== (const std::string &s, string_view sv)
bool | G::operator!= (const std::string &s, string_view sv)
std::string | G::sv_to_string (string_view sv)
bool | std::operator< (const string &s, G::string_view sv)
constexpr G::string_view | operator""_sv (const char *p, std::size_t n) noexcept

## Function Documentation

## ◆ operator""_sv()

constexpr G::string_view operator""_sv | ( | const char * | p,
|  | std::size_t | n
| ) |  |
| constexpr noexcept

Definition at line 163 of file gstringview.h.